
From: Miklos Szeredi <miklos@szeredi.hu>

This patch adds FUSE filesystem to MAINTAINERS, fs/Kconfig and
fs/Makefile.

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 MAINTAINERS |    7 +++++++
 fs/Kconfig  |   13 +++++++++++++
 fs/Makefile |    1 +
 3 files changed, 21 insertions(+)

diff -puN fs/Kconfig~fuse-maintainers-kconfig-and-makefile-changes fs/Kconfig
--- devel/fs/Kconfig~fuse-maintainers-kconfig-and-makefile-changes	2005-08-21 23:49:51.000000000 -0700
+++ devel-akpm/fs/Kconfig	2005-08-21 23:49:51.000000000 -0700
@@ -496,6 +496,19 @@ config AUTOFS4_FS
 	  local network, you probably do not need an automounter, and can say
 	  N here.
 
+config FUSE_FS
+	tristate "Filesystem in Userspace support"
+	help
+	  With FUSE it is possible to implement a fully functional filesystem
+	  in a userspace program.
+
+	  There's also companion library: libfuse.  This library along with
+	  utilities is available from the FUSE homepage:
+	  <http://fuse.sourceforge.net/>
+
+	  If you want to develop a userspace FS, or if you want to use
+	  a filesystem based on FUSE, answer Y or M.
+
 menu "CD-ROM/DVD Filesystems"
 
 config ISO9660_FS
diff -puN fs/Makefile~fuse-maintainers-kconfig-and-makefile-changes fs/Makefile
--- devel/fs/Makefile~fuse-maintainers-kconfig-and-makefile-changes	2005-08-21 23:49:51.000000000 -0700
+++ devel-akpm/fs/Makefile	2005-08-21 23:49:51.000000000 -0700
@@ -91,6 +91,7 @@ obj-$(CONFIG_QNX4FS_FS)		+= qnx4/
 obj-$(CONFIG_AUTOFS_FS)		+= autofs/
 obj-$(CONFIG_AUTOFS4_FS)	+= autofs4/
 obj-$(CONFIG_ADFS_FS)		+= adfs/
+obj-$(CONFIG_FUSE_FS)		+= fuse/
 obj-$(CONFIG_UDF_FS)		+= udf/
 obj-$(CONFIG_SUN_OPENPROMFS)	+= openpromfs/
 obj-$(CONFIG_JFS_FS)		+= jfs/
diff -puN MAINTAINERS~fuse-maintainers-kconfig-and-makefile-changes MAINTAINERS
--- devel/MAINTAINERS~fuse-maintainers-kconfig-and-makefile-changes	2005-08-21 23:49:51.000000000 -0700
+++ devel-akpm/MAINTAINERS	2005-08-21 23:49:51.000000000 -0700
@@ -937,6 +937,13 @@ L:	linux-tape@vger.kernel.org
 W:	http://sourceforge.net/projects/ftape
 S:	Orphan
 
+FUSE: FILESYSTEM IN USERSPACE
+P:	Miklos Szeredi
+M:	miklos@szeredi.hu
+L:	fuse-devel@lists.sourceforge.net
+W:	http://fuse.sourceforge.net/
+S:	Maintained
+
 FUTURE DOMAIN TMC-16x0 SCSI DRIVER (16-bit)
 P:	Rik Faith
 M:	faith@cs.unc.edu
_
